<div class="tab-pane active" id="tab1">
    <div class="row">
        <div class="col-sm-6 pull-right text-right">
            <a href="<?=$this->url('penagihan').'/form_pagepiutang/1'?>" class="btn btn-sm btn-blue-alt"><i class="glyph-icon icon-plus-square"></i> TAMBAH</a>
            <button type="button" class="btn btn-sm btn-danger" onclick="bukaExportPdf()"><i class="glyph-icon icon-file-pdf-o"></i> EXPORT TO PDF</button>
            <button type="button" class="btn btn-sm btn-success" onclick="bukaExportExcel()"><i class="glyph-icon icon-file-excel-o"></i> EXPORT TO EXCEL</button>
        </div>
    </div>
    <div class="example-box-wrapper">
        <div class="row" style="overflow:auto;">
            <table class="table table-condensed table-bordered table-hover table-striped cf" style="font-size: 11px; color:black">
                <thead class="cf" style="background-color: blue">
                    <tr class="bg-blue">
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            No.
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            No. Urut
                        </th>            
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Tgl. Penetapan<br>/Periode
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            WP/WR
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            OBJEK 
                        </th>     
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Masa Pajak/Retribusi
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Jenis Objek
                        </th>
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Tgl. Jatuh Tempo
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Jumlah Pajak/Retribusi
                        </th>
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Jumlah Denda
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Jumlah Piutang
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            #
                        </th>       
                    </tr>
                    <tr class="bg-default">
                        <td>Cari:</td>
                        <td><input type="text" id="t_nourut_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_tglpendataan_cari_0" class="form-control input-sm" onchange="calldatagrid()"></td>
                        <td><input type="text" id="t_wp_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_objek_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_masapajak_cari_0" class="form-control input-sm" onchange="calldatagrid()"></td>
                        <td><select id="t_jenisobjek_cari_0" class="form-control input-sm" onchange="calldatagrid()">
                                <option value="">All</option>
                                <?php foreach ($dataobjek as $row) { ?>
                                    <option value="<?= $row['s_idjenis'] ?>"><?= $row['s_namajenis'] ?></option>
                                <?php } ?>
                            </select></td>
                        <td><input type="text" id="t_tgljatuhtempo_cari_0" class="form-control input-sm" onchange="calldatagrid()"></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td><select id="t_statusbayar_cari_0" class="form-control input-sm" onchange="calldatagrid()">
                                <option value="">All</option>
                                <option value="1">Lunas</option>
                                <option value="2">Belum Bayar</option>
                            </select></td>
                    </tr>

                </thead>
                <tbody id="body_grid">
                </tbody>
                <tfoot>              
                    <tr>
                        <td colspan="14" class="text-center">
                            <div class="row">
                                <div class="col-sm-3 text-left">
                                    <span class="hiddene">
                                        <select id="rows" class="form-control" style="width: 30%" onchange="calldatagrid(1)">
                                            <option value="10">10</option>
                                            <option value="20">20</option>
                                            <option value="30">30</option>
                                            <option value="40">40</option>
                                            <option value="50">50</option>
                                        </select>
                                    </span>
                                </div>
                                <div class="col-sm-6" style="text-align: center">
                                    <center>
                                        <div id="paginatore"></div>
                                        <input type="hidden" id="page" value="1">
                                    </center>
                                </div>
                                <div class="col-sm-3 text-right">
                                    <span class="hiddene">
                                        <p>
                                            <b style="font-size: 13px; color: orangered"><span id="awaldata"></span> s/d <span id="akhirdata"></span> Dari <span id="total_data"></span> Data</b>
                                        </p>  
                                    </span>
                                </div>
                            </div>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>
<div class="modal fade" id="modalTambah" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-primary">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title text-center" id="myModalLabel"><b>PILIH JENIS OBJEK</b></h4>
            </div>
            <div class="modal-body">
                <a href="<?=$this->url().'/form_pagepiutang/1'?>" class="btn btn-sm btn-block btn-blue-alt"><i class="glyph-icon icon-circle-o"></i> Wajib Pajak</a>
                <a href="<?=$this->url().'/form_pagepiutang/2'?>" class="btn btn-sm btn-block btn-warning"><i class="glyph-icon icon-circle-o"></i> Wajib Retribusi</a>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-sm btn-danger" data-dismiss="modal" aria-label="Close"><i class="glyph-icon icon-close"></i> Tutup</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalExport" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-primary">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>EXPORT DAFTAR PIUTANG</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Tgl. Cetak
                            </label>
                            <div class="col-md-4">
                                <input type="text" class="form-control" name="tglcetak_export" id="tglcetak_export" value="<?= date('d-m-Y') ?>" readonly>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Periode Piutang
                            </label>
                            <div class="col-md-4">
                                <input type="text" class="form-control" name="periode_export" id="periode_export" value="<?= date('Y')-1 ?>" readonly>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal" style="display: none;">
                            <label class="col-md-3 control-label">
                                Jenis Objek
                            </label>
                            <div class="col-md-9">
                                <select name="jenisobjek" id="jenisobjek" class="form-control">
                                    <!--<option value="">Pilih Semua</option>-->
                                    <option value="1">Wajib Pajak</option>
                                    <!--<option value="2">Wajib Retribusi</option>-->
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Penandatangan
                            </label>
                            <div class="col-md-9">
                                <select name="ttdexport" id="ttdexport" class="form-control">
                                    <?php foreach ($ar_pejabat as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <span id="tombilcetak"></span>
                    <button class='btn btn-warning btn-sm' onclick='tutupExport()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        $('#t_tglpendataan_cari_0').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid();
        });
    });

    $(function () {
        $('#t_masapajak_cari_0').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid();
        });
    });

    $(function () {
        $('#t_tgljatuhtempo_cari_0').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid();
        });
    });

    $(function () {
        calldatagrid();
    });

    function calldatagrid(direction) {
        datagrid($("#page").val(), $("#rows").val(), direction);
    }

    function datagrid(page, row, direction) {
        $.post('<?= $this->url() ?>/dataGridPiutang/' + page + '/' + row + '/' + direction, {
            t_nourut: $('#t_nourut_cari_0').val(),
            t_tglpendataan: $('#t_tglpendataan_cari_0').val(),
            t_wp: $('#t_wp_cari_0').val(),
            t_objek: $('#t_objek_cari_0').val(),
            t_masapajak: $('#t_masapajak_cari_0').val(),
            t_jenisobjek: $('#t_jenisobjek_cari_0').val(),
            t_tgljatuhtempo: $('#t_tgljatuhtempo_cari_0').val(),
            t_statusbayar: $('#t_statusbayar_cari_0').val()
        }, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid").html(aa.grid);
            $("#rows").val(aa.rows);
            $("#page").val(aa.page);
            $("#total_data").html(": " + aa.count);
            $("#total_halaman").html(": " + aa.total_halaman);
            $("#paginatore").html(aa.paginatore);
            $("#awaldata").html(aa.awaldata);
            $("#akhirdata").html(aa.akhirdata);
        });
    }
    
    function tambahPiutang() {
        $('#modalTambah').modal('show');
    }

    function bukaExportPdf() {
        $('#modalExport').modal('show');
        $('#tombilcetak').html('<a href="#" class="btn btn-sm btn-danger" title="" onclick="exportpdf()"><i class="glyph-icon icon-file-pdf-o"></i> EXPORT TO PDF</a>');
    }

    function bukaExportExcel() {
        $('#modalExport').modal('show');
        $('#tombilcetak').html('<a href="#" class="btn btn-sm btn-success" title="" onclick="exportexcel()"><i class="glyph-icon icon-file-excel-o"></i> EXPORT TO EXCEL</a>');
    }

    function tutupExport() {
        $('#modalExport').modal('hide');
    }

    function exportpdf() {
        window.open('<?= $this->url() ?>/cetakexportpiutang?t_nourut=' + $('#t_nourut_cari_0').val()
                + "&t_tglpendataan=" + $('#t_tglpendataan_cari_0').val()
                + "&t_wp=" + $('#t_wp_cari_0').val()
                + "&t_objek=" + $('#t_objek_cari_0').val()
                + "&t_masapajak=" + $('#t_masapajak_cari_0').val()
                + "&t_jenisobjek=" + $('#t_jenisobjek_cari_0').val()
                + "&t_tgljatuhtempo=" + $('#t_tgljatuhtempo_cari_0').val()
                + "&t_statusbayar=" + $('#t_statusbayar_cari_0').val()
                + "&jenisobjek=" + $('#jenisobjek').val()
                + "&ttdexport=" + $('#ttdexport').val()
                + "&tglcetak_export=" + $('#tglcetak_export').val()
                + "&periode_export=" + $('#periode_export').val()
                + "&formatcetak=pdf");
    }

    function exportexcel() {
        window.open('<?= $this->url() ?>/cetakexportpiutang?t_nourut=' + $('#t_nourut_cari_0').val()
                + "&t_tglpendataan=" + $('#t_tglpendataan_cari_0').val()
                + "&t_wp=" + $('#t_wp_cari_0').val()
                + "&t_objek=" + $('#t_objek_cari_0').val()
                + "&t_masapajak=" + $('#t_masapajak_cari_0').val()
                + "&t_jenisobjek=" + $('#t_jenisobjek_cari_0').val()
                + "&t_tgljatuhtempo=" + $('#t_tgljatuhtempo_cari_0').val()
                + "&t_statusbayar=" + $('#t_statusbayar_cari_0').val()
                + "&jenisobjek=" + $('#jenisobjek').val()
                + "&ttdexport=" + $('#ttdexport').val()
                + "&tglcetak_export=" + $('#tglcetak_export').val()
                + "&periode_export=" + $('#periode_export').val()
                + "&formatcetak=excel");
    }
    
</script>
<style type="text/css">
    .combooperatorsudahc select {
        border: 0 !important;  /*Removes border*/
        -webkit-appearance: none;  /*Removes default chrome and safari style*/
        -moz-appearance: none; /* Removes Default Firefox style*/
        appearance:none;
        /*background: #E08E0B url(img/select-arrow.png) no-repeat 90% center;*/
        background: #E08E0B no-repeat 90% center;
        text-indent: 0.01px; /* Removes default arrow from firefox*/
        color: #FFF;
    }	
</style>
